/*=============================================================================
author        : Walter Schreppers
filename      : fitness.h
created       : 4/2/2005 at 23:08:51
modified      : 
version       : 
copyright     : Walter Schreppers
bugreport(log): 
=============================================================================*/

#ifndef FITNESS_H
#define FITNESS_H

#include "gen.h"

#include <iostream>

using namespace std;

class Fitness {

  public:
    //constructor & destructor
    //==========================
    Fitness();
    ~Fitness();

    //public members
    //==============
    double poly( double );
    double calculate( Gen& );
    //operators
    //=========
    Fitness& operator=( const Fitness& );
    friend ostream& operator<<( ostream&, const Fitness& );
    friend istream& operator>>( istream&, Fitness& );

  private:
    //private members:
    //================
    void init();

    //private locals:
    //===============
    

}; //end of class Fitness

#endif

