/*=============================================================================
author        : Walter Schreppers
filename      : gen.h
created       : 4/2/2005 at 23:04:14
modified      : 
version       : 
copyright     : Walter Schreppers
bugreport(log): 
=============================================================================*/

#ifndef GEN_H
#define GEN_H

#include <string>
#include <vector>
#include <iostream>

using namespace std;

class Gen : public vector<double>{

  public:
    //constructor & destructor
    //==========================
    Gen();
    ~Gen();

    //public members
    //==============
    void mutate();
    void Random();
    void crossover( Gen& m );
    double XPos();
    
    //operators
    //=========
    Gen& operator=( const Gen& );
    friend ostream& operator<<( ostream&, const Gen& );
    friend istream& operator>>( istream&, Gen& );

  private:
    //private members:
    //================
    void init();
    double Switch();

    //private locals:
    //===============

}; //end of class Gen

#endif

